unit fSelectDate;

interface

uses
  Windows,
  Messages,
  SysUtils,
  Variants,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  StdCtrls,
  ExtCtrls,
  ComCtrls;

type
  TfrmSelectDate = class(TForm)
    mcStopDate: TMonthCalendar;
    Shape2: TShape;
    lblHeader: TLabel;
    btnOK: TButton;
    btnCancel: TButton;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function SelectDate(var aNewDate: TDateTime; aMinimumDate: TDateTime; aCaption: string): boolean;

implementation

{$R *.dfm}

function SelectDate(var aNewDate: TDateTime; aMinimumDate: TDateTime; aCaption: string): boolean;
begin
  with TfrmSelectDate.Create(Application) do
    try
      Caption := 'Date Selector';
      lblHeader.Caption := aCaption;
      mcStopDate.MinDate := aMinimumDate;
      if ShowModal = mrOk then
        begin
          aNewDate := trunc(mcStopDate.Date);
          Result := True;
        end
      else
        Result := False;
    finally
      Free;
    end;
end;

end.

