unit oCP_Exceptions;
{
================================================================================
*
*       Application:  Clinical Observations
*       Revision:     $Revision: 2 $  $Modtime: 4/04/08 3:45p $
*       Developer:    dan.petit@domain
*       Site:         Hines OIFO
*
*       Description:  Contains all exceptions for CP.
*
*       Notes:
*
*
================================================================================
*       $Archive: /CP Modernization/CliO/source/Common/objects/oCP_Exceptions.pas $
================================================================================
}
interface

uses
  SysUtils;

type
  ECPException = class(Exception);
  ECPLoadFailure = class(ECPException);
  ECPSaveFailure = class(ECPException);
  ECPDeleteFailure = class(ECPException);
  ECPRenameFailure = class(ECPException);
  ECPConsoleCreate = class(ECPException);
  ECPConnectFail = class(ECPException);
  ECPCommandFail = class(ECPException);
  ECPContextFail = class(ECPException);
  ECPQueryFail = class(ECPException);
  ECPLoadTermFail = class(ECPException);
  ECPLoadTermError = class(ECPException);
  ECPInvalidInterface = class(ECPException);
  ECPLoadUserRolesFail = class(ECPException);
  ECPLoadControllerErrors = class(ECPException);
  ECPLoadControllerFail = class(ECPException);
  ECPFilerError = class(ECPException);
  ECPCreateSuppPageFail = class(ECPException);

implementation

end.

